public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/python-telegram-bot/
Date: Fri, 13 Mar 2020 12:33:58 +0000 (UTC)	[thread overview]
Message-ID: <1584102835.75d91971e7e41563ea08d07fc064fe098e72e338.andrewammerlaan@gentoo> (raw)

commit:     75d91971e7e41563ea08d07fc064fe098e72e338
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Mar 13 12:33:07 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Mar 13 12:33:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=75d91971

dev-python/python-telegram-bot: enable docs flag

also added the test deps even though the tests fail anyway,
we just use RESTRICT="test" to skip the tests.

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/python-telegram-bot/Manifest            |  2 +-
 .../python-telegram-bot-12.4.2.ebuild              | 38 +++++++++++++++++++---
 .../python-telegram-bot-9999.ebuild                | 38 +++++++++++++++++++---
 3 files changed, 67 insertions(+), 11 deletions(-)

diff --git a/dev-python/python-telegram-bot/Manifest b/dev-python/python-telegram-bot/Manifest
index 5f57644..0a5c14b 100644
--- a/dev-python/python-telegram-bot/Manifest
+++ b/dev-python/python-telegram-bot/Manifest
@@ -1 +1 @@
-DIST v12.4.2.tar.gz 1896003 BLAKE2B 2fbf77046da9c25b82682db040967e326bb92be0709f76ce9ebf98d611822d07c60d68d02e241cfbb4cc233be0e198a866f85557790227e7439d2688c5d01651 SHA512 b5c652433c99205e71dee67d1c9e5d3a9b2df40b2d60c1810135ef8b1b72f2b4b27a506682d0522a1bae58d39ba7cd559e262c222fde7dd324df779a00a76e10
+DIST python-telegram-bot-12.4.2.tar.gz 1896003 BLAKE2B 2fbf77046da9c25b82682db040967e326bb92be0709f76ce9ebf98d611822d07c60d68d02e241cfbb4cc233be0e198a866f85557790227e7439d2688c5d01651 SHA512 b5c652433c99205e71dee67d1c9e5d3a9b2df40b2d60c1810135ef8b1b72f2b4b27a506682d0522a1bae58d39ba7cd559e262c222fde7dd324df779a00a76e10

diff --git a/dev-python/python-telegram-bot/python-telegram-bot-12.4.2.ebuild b/dev-python/python-telegram-bot/python-telegram-bot-12.4.2.ebuild
index aeefe43..6004623 100644
--- a/dev-python/python-telegram-bot/python-telegram-bot-12.4.2.ebuild
+++ b/dev-python/python-telegram-bot/python-telegram-bot-12.4.2.ebuild
@@ -8,20 +8,23 @@ PYTHON_COMPAT=( python3_{6,7,8} )
 inherit distutils-r1
 
 DESCRIPTION="Python wrapper of telegram bots API"
-HOMEPAGE="https://python-telegram-bot.org/"
+HOMEPAGE="https://python-telegram-bot.org https://github.com/python-telegram-bot/python-telegram-bot"
 
 if [[ ${PV} == *9999 ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/python-telegram-bot/python-telegram-bot"
 else
-	SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz"
+	SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
 	KEYWORDS="~amd64 ~x86"
 fi
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="test"
+
+# No tests because require networking access
+# Commenting out the test deps so we can add py3_8
+RESTRICT="test"
 
 RDEPEND="
 	dev-python/certifi[${PYTHON_USEDEP}]
@@ -34,6 +37,31 @@ RDEPEND="
 	www-servers/tornado[${PYTHON_USEDEP}]
 "
 
-DEPEND="${RDEPEND}"
+#DEPEND="test? (
+#	dev-python/attrs[${PYTHON_USEDEP}]
+#	dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+#	dev-python/flake8[${PYTHON_USEDEP}]
+#	dev-python/flaky[${PYTHON_USEDEP}]
+#	dev-python/pylint[${PYTHON_USEDEP}]
+#	dev-python/pytest-timeout[${PYTHON_USEDEP}]
+#	dev-python/yapf[${PYTHON_USEDEP}]
+#)"
 
-# No tests because require networking access
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme
+
+python_prepare_all() {
+	# do not make a test flaky report
+	sed -i -e '/addopts/d' setup.cfg || die
+
+	# this test fails: Unknown pytest.mark.nocoverage
+	# likely this requires pytest-cov but that is deprecated
+	# so we skip the test
+	rm tests/test_meta.py || die
+
+	# this fails to import urllib3 even though
+	# it is installed
+	rm tests/test_official.py || die
+
+	distutils-r1_python_prepare_all
+}

diff --git a/dev-python/python-telegram-bot/python-telegram-bot-9999.ebuild b/dev-python/python-telegram-bot/python-telegram-bot-9999.ebuild
index aeefe43..6004623 100644
--- a/dev-python/python-telegram-bot/python-telegram-bot-9999.ebuild
+++ b/dev-python/python-telegram-bot/python-telegram-bot-9999.ebuild
@@ -8,20 +8,23 @@ PYTHON_COMPAT=( python3_{6,7,8} )
 inherit distutils-r1
 
 DESCRIPTION="Python wrapper of telegram bots API"
-HOMEPAGE="https://python-telegram-bot.org/"
+HOMEPAGE="https://python-telegram-bot.org https://github.com/python-telegram-bot/python-telegram-bot"
 
 if [[ ${PV} == *9999 ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/python-telegram-bot/python-telegram-bot"
 else
-	SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz"
+	SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
 	KEYWORDS="~amd64 ~x86"
 fi
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="test"
+
+# No tests because require networking access
+# Commenting out the test deps so we can add py3_8
+RESTRICT="test"
 
 RDEPEND="
 	dev-python/certifi[${PYTHON_USEDEP}]
@@ -34,6 +37,31 @@ RDEPEND="
 	www-servers/tornado[${PYTHON_USEDEP}]
 "
 
-DEPEND="${RDEPEND}"
+#DEPEND="test? (
+#	dev-python/attrs[${PYTHON_USEDEP}]
+#	dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+#	dev-python/flake8[${PYTHON_USEDEP}]
+#	dev-python/flaky[${PYTHON_USEDEP}]
+#	dev-python/pylint[${PYTHON_USEDEP}]
+#	dev-python/pytest-timeout[${PYTHON_USEDEP}]
+#	dev-python/yapf[${PYTHON_USEDEP}]
+#)"
 
-# No tests because require networking access
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme
+
+python_prepare_all() {
+	# do not make a test flaky report
+	sed -i -e '/addopts/d' setup.cfg || die
+
+	# this test fails: Unknown pytest.mark.nocoverage
+	# likely this requires pytest-cov but that is deprecated
+	# so we skip the test
+	rm tests/test_meta.py || die
+
+	# this fails to import urllib3 even though
+	# it is installed
+	rm tests/test_official.py || die
+
+	distutils-r1_python_prepare_all
+}


WARNING: multiple messages have this Message-ID (diff)
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-python/python-telegram-bot/
Date: Fri, 13 Mar 2020 17:45:50 +0000 (UTC)	[thread overview]
Message-ID: <1584102835.75d91971e7e41563ea08d07fc064fe098e72e338.andrewammerlaan@gentoo> (raw)
Message-ID: <20200313174550.UBjNaP6WR1gkS1d9qhgPpniAhqXsvBudxxerEiM9hk0@z> (raw)

commit:     75d91971e7e41563ea08d07fc064fe098e72e338
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Mar 13 12:33:07 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Mar 13 12:33:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=75d91971

dev-python/python-telegram-bot: enable docs flag

also added the test deps even though the tests fail anyway,
we just use RESTRICT="test" to skip the tests.

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/python-telegram-bot/Manifest            |  2 +-
 .../python-telegram-bot-12.4.2.ebuild              | 38 +++++++++++++++++++---
 .../python-telegram-bot-9999.ebuild                | 38 +++++++++++++++++++---
 3 files changed, 67 insertions(+), 11 deletions(-)

diff --git a/dev-python/python-telegram-bot/Manifest b/dev-python/python-telegram-bot/Manifest
index 5f57644..0a5c14b 100644
--- a/dev-python/python-telegram-bot/Manifest
+++ b/dev-python/python-telegram-bot/Manifest
@@ -1 +1 @@
-DIST v12.4.2.tar.gz 1896003 BLAKE2B 2fbf77046da9c25b82682db040967e326bb92be0709f76ce9ebf98d611822d07c60d68d02e241cfbb4cc233be0e198a866f85557790227e7439d2688c5d01651 SHA512 b5c652433c99205e71dee67d1c9e5d3a9b2df40b2d60c1810135ef8b1b72f2b4b27a506682d0522a1bae58d39ba7cd559e262c222fde7dd324df779a00a76e10
+DIST python-telegram-bot-12.4.2.tar.gz 1896003 BLAKE2B 2fbf77046da9c25b82682db040967e326bb92be0709f76ce9ebf98d611822d07c60d68d02e241cfbb4cc233be0e198a866f85557790227e7439d2688c5d01651 SHA512 b5c652433c99205e71dee67d1c9e5d3a9b2df40b2d60c1810135ef8b1b72f2b4b27a506682d0522a1bae58d39ba7cd559e262c222fde7dd324df779a00a76e10

diff --git a/dev-python/python-telegram-bot/python-telegram-bot-12.4.2.ebuild b/dev-python/python-telegram-bot/python-telegram-bot-12.4.2.ebuild
index aeefe43..6004623 100644
--- a/dev-python/python-telegram-bot/python-telegram-bot-12.4.2.ebuild
+++ b/dev-python/python-telegram-bot/python-telegram-bot-12.4.2.ebuild
@@ -8,20 +8,23 @@ PYTHON_COMPAT=( python3_{6,7,8} )
 inherit distutils-r1
 
 DESCRIPTION="Python wrapper of telegram bots API"
-HOMEPAGE="https://python-telegram-bot.org/"
+HOMEPAGE="https://python-telegram-bot.org https://github.com/python-telegram-bot/python-telegram-bot"
 
 if [[ ${PV} == *9999 ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/python-telegram-bot/python-telegram-bot"
 else
-	SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz"
+	SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
 	KEYWORDS="~amd64 ~x86"
 fi
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="test"
+
+# No tests because require networking access
+# Commenting out the test deps so we can add py3_8
+RESTRICT="test"
 
 RDEPEND="
 	dev-python/certifi[${PYTHON_USEDEP}]
@@ -34,6 +37,31 @@ RDEPEND="
 	www-servers/tornado[${PYTHON_USEDEP}]
 "
 
-DEPEND="${RDEPEND}"
+#DEPEND="test? (
+#	dev-python/attrs[${PYTHON_USEDEP}]
+#	dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+#	dev-python/flake8[${PYTHON_USEDEP}]
+#	dev-python/flaky[${PYTHON_USEDEP}]
+#	dev-python/pylint[${PYTHON_USEDEP}]
+#	dev-python/pytest-timeout[${PYTHON_USEDEP}]
+#	dev-python/yapf[${PYTHON_USEDEP}]
+#)"
 
-# No tests because require networking access
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme
+
+python_prepare_all() {
+	# do not make a test flaky report
+	sed -i -e '/addopts/d' setup.cfg || die
+
+	# this test fails: Unknown pytest.mark.nocoverage
+	# likely this requires pytest-cov but that is deprecated
+	# so we skip the test
+	rm tests/test_meta.py || die
+
+	# this fails to import urllib3 even though
+	# it is installed
+	rm tests/test_official.py || die
+
+	distutils-r1_python_prepare_all
+}

diff --git a/dev-python/python-telegram-bot/python-telegram-bot-9999.ebuild b/dev-python/python-telegram-bot/python-telegram-bot-9999.ebuild
index aeefe43..6004623 100644
--- a/dev-python/python-telegram-bot/python-telegram-bot-9999.ebuild
+++ b/dev-python/python-telegram-bot/python-telegram-bot-9999.ebuild
@@ -8,20 +8,23 @@ PYTHON_COMPAT=( python3_{6,7,8} )
 inherit distutils-r1
 
 DESCRIPTION="Python wrapper of telegram bots API"
-HOMEPAGE="https://python-telegram-bot.org/"
+HOMEPAGE="https://python-telegram-bot.org https://github.com/python-telegram-bot/python-telegram-bot"
 
 if [[ ${PV} == *9999 ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://github.com/python-telegram-bot/python-telegram-bot"
 else
-	SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz"
+	SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
 	KEYWORDS="~amd64 ~x86"
 fi
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="test"
+
+# No tests because require networking access
+# Commenting out the test deps so we can add py3_8
+RESTRICT="test"
 
 RDEPEND="
 	dev-python/certifi[${PYTHON_USEDEP}]
@@ -34,6 +37,31 @@ RDEPEND="
 	www-servers/tornado[${PYTHON_USEDEP}]
 "
 
-DEPEND="${RDEPEND}"
+#DEPEND="test? (
+#	dev-python/attrs[${PYTHON_USEDEP}]
+#	dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+#	dev-python/flake8[${PYTHON_USEDEP}]
+#	dev-python/flaky[${PYTHON_USEDEP}]
+#	dev-python/pylint[${PYTHON_USEDEP}]
+#	dev-python/pytest-timeout[${PYTHON_USEDEP}]
+#	dev-python/yapf[${PYTHON_USEDEP}]
+#)"
 
-# No tests because require networking access
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme
+
+python_prepare_all() {
+	# do not make a test flaky report
+	sed -i -e '/addopts/d' setup.cfg || die
+
+	# this test fails: Unknown pytest.mark.nocoverage
+	# likely this requires pytest-cov but that is deprecated
+	# so we skip the test
+	rm tests/test_meta.py || die
+
+	# this fails to import urllib3 even though
+	# it is installed
+	rm tests/test_official.py || die
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2020-03-13 12:34 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-13 12:33 Andrew Ammerlaan [this message]
2020-03-13 17:45 ` [gentoo-commits] repo/proj/guru:master commit in: dev-python/python-telegram-bot/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2024-05-10 17:33 [gentoo-commits] repo/proj/guru:dev " Pedro Arizmendi
2024-05-10 17:26 Pedro Arizmendi
2024-04-28 20:16 Lucio Sauer
2024-04-28 20:16 Lucio Sauer
2023-10-02 15:47 David Roman
2023-10-02 15:45 David Roman
2023-07-05 13:59 Anna Vyalkova
2023-04-27 17:51 Pedro Arizmendi
2022-09-17 11:32 David Roman
2020-12-18 18:12 Andrew Ammerlaan
2020-11-07  0:24 David Roman
2020-03-13 17:42 David Roman
2020-03-12 19:38 David Roman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1584102835.75d91971e7e41563ea08d07fc064fe098e72e338.andrewammerlaan@gentoo \
    --to=andrewammerlaan@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox